GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List competitors GETAdd competitor POSTUpdate competitor PATCHBulk update competitors POSTSet competitor tags PUTTag competitors POST
Competitors

Bulk update competitors POST

Change the relation of competitors or delete them.

Tag competitors POST

Add tags to or remove tags from several competitors, leaving their other tags.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Competitors

Set competitor tags

PUT
/brands/{brandId}/competitors/{competitorId}/tags

Replace a competitor's tags.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid
competitorId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
tagIds*array<>
Itemsitems <= 50

Response Body

Tags saved

Example Request
curl -X PUT 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/competitors/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags' \  -H 'Content-Type: application/json' \  -d '{  "tagIds": [    "9c99701b-f191-4642-8bc0-e04053f29131"  ]}'
Example Response
Empty

Bulk update competitors POST

Change the relation of competitors or delete them.

Tag competitors POST

Add tags to or remove tags from several competitors, leaving their other tags.

Start free trial
Start free trial
Example Request
curl -X PUT 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/competitors/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags' \
  -H 'Content-Type: application/json' \
  -d '{
  "tagIds": [
    "9c99701b-f191-4642-8bc0-e04053f29131"
  ]
}'